
precision lowp float;

uniform sampler2D tex;
uniform lowp float u_fRewindEffect;

varying vec2 v_v2TexCoord;
varying vec4 v_v4Color;

void main() 
{
	vec4 v4Texture = texture2D(tex, v_v2TexCoord) * v_v4Color;
	gl_FragColor = vec4(v4Texture.rgb * (1.0 - u_fRewindEffect) + v4Texture.b * u_fRewindEffect, v4Texture.a);
}
