uniform mat4 u_m44ModelViewProjection;

attribute vec4 a_v4Position;
attribute vec2 a_v2TexCoord;
attribute vec3 a_v3Normal;

attribute vec2 a_v2TexCoord3;
attribute vec4 a_v4Color;

varying mediump vec2 v_v2TexCoord;
varying mediump vec2 v_v2LightTexCoord;

varying mediump vec2 v_v2TexCoordSignage;
varying lowp vec4 v_v4SignageModifier;

void main() 
{
	v_v2TexCoord = a_v2TexCoord;
	v_v2LightTexCoord = a_v2TexCoord3;

	v_v4SignageModifier = a_v4Color * (1.0 / 255.0);

	gl_Position = u_m44ModelViewProjection * a_v4Position;
}

